var CCDP = {};
CCDP.init = (function(resourcesPath){
	window.r = require;
    window.require = undefined;
    window.d = define;
    window.define = undefined;
	    r.config({
		    baseUrl: resourcesPath,
			paths: {
					log : 'js/utils/log',
					helpers : 'js/utils/helpers',
					config : 'js/models/config',
					text : 'vendors/requirejs.text/text',
					util : 'js/utils/util',
					remoteModel: 'js/models/dcm_cust_remoteModel',
					remoteView: 'js/views/dcm_cust_remoteView',
					staticPageModel: 'js/models/kfb2b_cust_staticPageModel',
					staticPageView: 'js/views/kfb2b_cust_staticPageView',
					footerView: 'DCMB2B_Resources_Footer|js/views/cc_cust_footerView',
					footerModel: 'DCMB2B_Resources_Footer|js/models/cc_cust_footerModel',
					headerView: 'DCMB2B_Resources_Header|js/views/cc_cust_headerView',
					customHeaderModel: 'DCMB2B_Resources_Header|js/models/cc_cust_headerModel',
					homeView: 'DCMB2B_Resources_Home|js/views/cc_cust_homeView',
					homeModel: 'DCMB2B_Resources_Home|js/models/cc_cust_homeModel',
					miniCartView: 'DCMB2B_Resources_MiniCart|js/views/cc_cust_miniCartView',
					productListPageView  : 'DCMB2B_Resources_PLP|js/views/cc_cust_productListPageView',
					customCheckoutPageModel: 'DCMB2B_Resources_Checkout|js/models/cc_cust_checkoutPageModel',
					checkoutPageView: 'DCMB2B_Resources_Checkout|js/views/cc_cust_checkout',
					customCartView: 'DCMB2B_Resources_Cart|js/views/cc_cust_cartView',
					customCartModel: 'DCMB2B_Resources_Cart|js/models/cc_cust_cartModel',
					customOrderConfirmationPageView: 'DCMB2B_Resources_OrderConfirm|js/views/cc_cust_orderConfirmationView',
					customOrderConfirmationPageModel: 'DCMB2B_Resources_OrderConfirm|js/models/cc_cust_orderConfirmationModel',
					customPDPView: 'DCMB2B_Resources_PDP|js/views/cc_cust_PDPView',
					customPDPModel: 'DCMB2B_Resources_PDP|js/models/cc_cust_PDPModel',
					customSubscriptionView: 'DCMB2B_Resources_MySubscriptions|js/views/cc_cust_mySubscriptionView',
					customSubscriptionModel: 'DCMB2B_Resources_MySubscriptions|js/models/cc_cust_mySubscriptionModel',
					paymentPOView: 'DCMB2B_Resources_PO|js/views/cc_cust_paymentPOView',
					paymentPOModel: 'DCMB2B_Resources_PO|js/models/cc_cust_paymentPOModel',
					paymentPODView: 'DCMB2B_Resources_POD|js/views/cc_cust_paymentPODView',
					paymentPODModel: 'DCMB2B_Resources_POD|js/models/cc_cust_paymentPODModel',
					myWalletView : 'DCMB2B_Resources_MyAccount|js/views/cc_cust_MyWalletView',
					MyWalletModel : 'DCMB2B_Resources_MyAccount|js/models/cc_cust_MyWalletModel',
					StoredPaymentsPOView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_StoredPaymentsPOView',
					StoredPaymentsPOModel:'DCMB2B_Resources_MyAccount|js/models/cc_cust_StoredPaymentsPOModel',
					plpSortView: 'DCMB2B_Resources_PLP|js/views/cc_cust_plp_sortView',
					searchModel: 'DCMB2B_Resources_PLP|js/models/cc_cust_merlinSearchModel',
					loginView: 'DCMB2B_Resources_Login|js/views/cc_cust_loginView',
					custLoginView: 'DCMB2B_Resources_Login|js/views/cc_cust_customLoginView',
					registerView: 'DCMB2B_Resources_Login|js/views/cc_cust_registrationView',
					myAccountCartView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_myCarts',
					myAccountCPView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_changePassword',
					myAccountWLView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_myWishlist',
					contactUsPageView: 'KFB2B_Resources_ContactUs|js/views/cc_cust_contactUsView',
					changePasswordView: 'DCMB2B_Resources_Login|js/views/cc_cust_changePasswordView',
					forgotPasswordView: 'DCMB2B_Resources_Login|js/views/cc_cust_forgotPasswordView',
					myAccountInfoView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_accInfo',
					myAccountInvoiceView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_myInvoices',
					tabSectionView: 'DCMB2B_Resources_PDP|js/views/cc_cust_tabSectionView',
					myAccountYourDownloads: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_yourDownloads',
					myAccountWalletView: 'DCMB2B_Resources_MyAccount|js/views/cc_cust_myAccount_myWallets'
            }
		});
        d('hbs',Handlebars);
        d('ccrz',CCRZ);
        d('backbone',Backbone);
});